import javax.swing.*;
import java.awt.*;



class InterlockingPushButton extends JRadioButton
{

	public InterlockingPushButton(String textValue, int verticalPosition)
	{
	
		ImageIcon inIcon = new ImageIcon("push_button_in.gif");
		ImageIcon outIcon = new ImageIcon("push_button_out.gif");
		
		setIcon(outIcon);
		setSelectedIcon(inIcon);
		
		setFocusPainted(false);
		setBorderPainted(false);
		setContentAreaFilled(false);
		
		// top, left, bottom, right
		Insets marginSpace = new Insets(3,3,3,3);
		setMargin(marginSpace);
		
		setHorizontalTextPosition(AbstractButton.CENTER);
		setVerticalTextPosition(verticalPosition);
		
		setText(textValue);
	}


}