


import javax.swing.*;
import java.awt.*;



class KeySwitch extends JButton
{

	public KeySwitch(String textValue, String upIconFileName, String downIconFileName)
	{
	
		ImageIcon upIcon = new ImageIcon(upIconFileName);
		ImageIcon downIcon = new ImageIcon(downIconFileName);
		
		setIcon(upIcon);
		setPressedIcon(downIcon);
		
		setFocusPainted(false);
		setBorderPainted(false);
		setContentAreaFilled(false);
		
		// top, left, bottom, right
		Insets marginSpace = new Insets(3,3,3,3);
		setMargin(marginSpace);
		
		setHorizontalTextPosition(AbstractButton.CENTER);
		setVerticalTextPosition(AbstractButton.NORTH);
		
		setText(textValue);
	}


}