
import javax.swing.*;
import java.awt.*;



class PushButton extends JButton
{

	public PushButton(String textValue, int verticalPosition)
	{
	
		ImageIcon inIcon = new ImageIcon("push_button_in.gif");
		ImageIcon outIcon = new ImageIcon("push_button_out.gif");
		
		setIcon(outIcon);
		setPressedIcon(inIcon);
		
		setFocusPainted(false);
		setBorderPainted(false);
		setContentAreaFilled(false);
		
		setHorizontalTextPosition(AbstractButton.CENTER);
		setVerticalTextPosition(verticalPosition);
		
		setText(textValue);
	}


}